## Welcome
Thanks for your interest in contributing to this project. As you may have noticed, this project is currently in Beta, but for me this is the perfect opportunity to collect ideas on how to make a better calendar component plugin.

This is currently a one-person project but I'll try and respond as quickly as possible. Also, this project is my first foray into the wide world of open source, so please understand that if you find something obvious related to handling issues, pull requests and the like, it is probably because of my lack of experience with sharing code and open source in general. Thanks for your patience!

## First things first
If you haven't done so, check out the [README](https://github.com/nathanreyes/v-calendar/blob/master/README.md) for a quick rundown of project, as well as the [website](https://vcalendar.netlify.com) where you can find detailed information on the project API, try out demonstrations and get an overall feel for how things work. If you have an idea or find a bug, please reference if it can be recreated on the website. That will be the quickest way to track down the problem.

## Contributing
At this stage, the project is still in flux so if you set out to make big changes, chances are things might be moved around quite a bit. With that said, the best contributions to be made at this stage are things like typos, coding efficiencies, localization support and bugs. Also, github issues make the most sense for everything right now, so feel free to use them for bugs, enhancements and discussions. For bigger ideas, here are some other goals that might help guide your contributions:

### Utilization of the attribute concept
I want to minimize the API as much as possible, so try to present any new concepts within the concept of the current API. For example, attributes are the core concept of `v-calendar`, so try and augment the way they are structured before trying to introduce a new prop on the base component.

### Keep calendar layout to a minimum
There are lots of great calendar concepts out there. The core idea with this project is that it should be *possible* to implement those ideas with `v-calendar`, but that it' default design should be as neutral as feasibly possible.

### Simple and clean designs
Reasonable margins. Symmetrical layout. Subtle animations. You get the point :)

### Testing
Testing environment is currently in the works...

## EXAMPLES WANTED!
If you have used this plugin to make something great, I'd love to see it and perhaps include a link to it from the docs site.

Again, thanks for your interest and happing coding. :)
